Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/external/bsd/bzip2 Move dist2netbsd script out of dist/ and ...



details:   https://anonhg.NetBSD.org/src/rev/5f21f1d8fffb
branches:  trunk
changeset: 779161:5f21f1d8fffb
user:      wiz <wiz%NetBSD.org@localhost>
date:      Mon May 07 08:55:46 2012 +0000

description:
Move dist2netbsd script out of dist/ and adapt for new path.

diffstat:

 external/bsd/bzip2/bzip2netbsd      |  123 ++++++++++++++++++++++++++++++++++++
 external/bsd/bzip2/dist/bzip2netbsd |  123 ------------------------------------
 2 files changed, 123 insertions(+), 123 deletions(-)

diffs (254 lines):

diff -r 7f66a565ca09 -r 5f21f1d8fffb external/bsd/bzip2/bzip2netbsd
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/external/bsd/bzip2/bzip2netbsd    Mon May 07 08:55:46 2012 +0000
@@ -0,0 +1,123 @@
+#! /bin/sh
+#
+#      $NetBSD: bzip2netbsd,v 1.1 2012/05/07 08:55:46 wiz Exp $
+#
+# Copyright (c) 1998, 1999, 2001, 2012 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+# bzip2netbsd:  convert a bzip2 source tree into a
+# netbsd bzip2 source tree, under src/external/bsd/dist,
+# based on the other *2netbsd scripts in the NetBSD source tree
+#
+# Rough instructions for importing new bzip2 release:
+#
+#      $ cd /some/where/temporary
+#      $ tar xpfz /new/bzip2/release/tar/file
+#      $ sh /usr/src/external/bsd/bzip2/bzip2netbsd bzip2-1.x.y `pwd`
+#      $ cd src/external/bsd/bzip2/dist
+#      $ cvs import -m "Import bzip2 1.x.y" src/external/bsd/bzip2/dist JSEWARD bzip2-1-x-y
+#      $ cd ../../../../..
+#      $ rm -r src bzip2-1.x.y
+#
+#      - check makefiles to see if any extra sources have been added.
+#      - update distrib/sets if necessary.
+
+if [ $# -ne 2 ]; then echo "bzip2netbsd src dest"; exit 1; fi
+
+r=$1
+d=$2/src/external/bsd/bzip2/dist
+
+case "$d" in
+       /*)
+               ;;
+       *)
+               d=`/bin/pwd`/$d
+               ;;
+esac
+
+case "$r" in
+       /*)
+               ;;
+       *)
+               r=`/bin/pwd`/$r
+               ;;
+esac
+
+echo preparing directory $d
+rm -rf $d
+mkdir -p $d
+
+### Copy the files and directories
+echo copying $r to $d
+cd $r
+pax -rw * $d
+
+# cd to import directory
+cd $d
+
+### delete formatted manual pages
+echo removing unneeded directories and files
+rm -f bzip2.1.preformatted bzip2.txt
+
+### bzip2 distribution doesn't have RCS/CVS tags (!).
+
+### Add our NetBSD RCS Id
+find $d -type f -name '*.[chly]' -print | while read c; do
+       sed 1q < $c | grep -q '\$NetBSD' || (
+echo "/*       \$NetBSD\$      */" >/tmp/bzip3n$$
+echo "" >>/tmp/bzip3n$$
+cat $c  >> /tmp/bzip3n$$
+mv /tmp/bzip3n$$ $c && echo added NetBSD RCS tag to $c
+       )
+done
+
+find $d -type f -name '*.[0-9]' -print | while read m; do
+       sed 1q < $m | grep -q '\$NetBSD' || (
+echo ".\\\"    \$NetBSD\$" >/tmp/bzip2m$$
+echo ".\\\"" >>/tmp/bzip2m$$
+cat $m >> /tmp/bzip2m$$
+mv /tmp/bzip2m$$ $m && echo added NetBSD RCS tag to $m
+       )
+done
+
+echo done
+
+### Clean up any CVS directories that might be around.
+echo "cleaning up CVS residue."
+(
+       cd $d
+       find . -type d -name "CVS" -print | xargs rm -r
+)
+echo done
+
+### Fixing file and directory permissions.
+echo "Fixing file/directory permissions."
+(
+       cd $d
+       find . -type f -print | xargs chmod u+rw,go+r
+       find . -type d -print | xargs chmod u+rwx,go+rx
+)
+echo done
+
+exit 0
diff -r 7f66a565ca09 -r 5f21f1d8fffb external/bsd/bzip2/dist/bzip2netbsd
--- a/external/bsd/bzip2/dist/bzip2netbsd       Mon May 07 08:51:47 2012 +0000
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,123 +0,0 @@
-#! /bin/sh
-#
-#      $NetBSD: bzip2netbsd,v 1.1 2012/05/07 00:30:05 wiz Exp $
-#
-# Copyright (c) 1998, 1999, 2001 The NetBSD Foundation, Inc.
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-# 1. Redistributions of source code must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above copyright
-#    notice, this list of conditions and the following disclaimer in the
-#    documentation and/or other materials provided with the distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
-# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
-# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
-# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
-# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-# POSSIBILITY OF SUCH DAMAGE.
-#
-# bzip2netbsd:  convert a bzip2 source tree into a
-# netbsd bzip2 source tree, under src/external/bsd,
-# based on the other *2netbsd scripts in the NetBSD source tree
-#
-# Rough instructions for importing new bzip2 release:
-#
-#      $ cd /some/where/temporary
-#      $ tar xpfz /new/bzip2/release/tar/file
-#      $ sh /usr/src/external/bsd/bzip2/bzip2netbsd bzip2-1.x.y `pwd`
-#      $ cd src/external/bsd/bzip2
-#      $ cvs import -m "Import bzip2 1.x.y" src/external/bsd/bzip2 JSEWARD bzip2-1-x-y
-#      $ cd ../../..
-#      $ rm -r src bzip2-1.x.y
-#
-#      - check makefiles to see if any extra sources have been added.
-#      - update distrib/sets if necessary.
-
-if [ $# -ne 2 ]; then echo "bzip2netbsd src dest"; exit 1; fi
-
-r=$1
-d=$2/src/external/bsd/bzip2
-
-case "$d" in
-       /*)
-               ;;
-       *)
-               d=`/bin/pwd`/$d
-               ;;
-esac
-
-case "$r" in
-       /*)
-               ;;
-       *)
-               r=`/bin/pwd`/$r
-               ;;
-esac
-
-echo preparing directory $d
-rm -rf $d
-mkdir -p $d
-
-### Copy the files and directories
-echo copying $r to $d
-cd $r
-pax -rw * $d
-
-# cd to import directory
-cd $d
-
-### delete formatted manual pages
-echo removing unneeded directories and files
-rm -f bzip2.1.preformatted bzip2.txt
-
-### bzip2 distribution doesn't have RCS/CVS tags (!).
-
-### Add our NetBSD RCS Id
-find $d -type f -name '*.[chly]' -print | while read c; do
-       sed 1q < $c | grep -q '\$NetBSD' || (
-echo "/*       \$NetBSD\$      */" >/tmp/bzip3n$$
-echo "" >>/tmp/bzip3n$$
-cat $c  >> /tmp/bzip3n$$
-mv /tmp/bzip3n$$ $c && echo added NetBSD RCS tag to $c
-       )
-done
-
-find $d -type f -name '*.[0-9]' -print | while read m; do
-       sed 1q < $m | grep -q '\$NetBSD' || (
-echo ".\\\"    \$NetBSD\$" >/tmp/bzip2m$$
-echo ".\\\"" >>/tmp/bzip2m$$
-cat $m >> /tmp/bzip2m$$
-mv /tmp/bzip2m$$ $m && echo added NetBSD RCS tag to $m
-       )
-done
-
-echo done
-
-### Clean up any CVS directories that might be around.
-echo "cleaning up CVS residue."
-(
-       cd $d
-       find . -type d -name "CVS" -print | xargs rm -r
-)
-echo done
-
-### Fixing file and directory permissions.
-echo "Fixing file/directory permissions."
-(
-       cd $d
-       find . -type f -print | xargs chmod u+rw,go+r
-       find . -type d -print | xargs chmod u+rwx,go+rx
-)
-echo done
-
-exit 0



Home | Main Index | Thread Index | Old Index